<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://thymeleaf.org" lang="en">

<style>
    p, span {
        font-family: verdana, arial, sans-serif;
        font-size: 16px;
    }

    span.additional {
        font-family: verdana, arial, sans-serif;
        font-size: 12px;
    }

    @page {
        size: A4;
        margin: 1.5cm;
    }

    table {
        border-spacing: 8px;
        border-collapse: separate;
        width: 95%;
    }

    table.grid_table {
        font-family: verdana, arial, sans-serif;
        font-size: 12px;
        color: #333333;
        border-width: 1px;
        border-color: #9FC6F0;
        border-collapse: collapse;
        width: 98%;
    }

    table.grid_table td {
        border-width: 1px;
        padding: 4px;
        border-style: solid;
        border-color: #9FC6F0;
        background-color: #ffffff;
    }

    table.grid_table th {
        text-align: center;
        border-width: 1px;
        padding: 4px;
        border-style: solid;
        border-color: #000000;
        background-color: #9FC6F0;
    }
</style>

<table>
    <tr>
        <td>Table of Contents:</td>
    </tr>
    <tr>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td th:text="|1. Monitoring performance of ${report.objectType.value} [${report.objectName}]|"></td>
    </tr>
    <tr>
        <td>
            <table>
                <tr th:each="planValue : ${report.planValues}">
                    <td>
                        <span th:text="|1.${planValueStat.count} Monitoring results overview ${planValue.planId} (${planValue.planName})|"></span>
                        <span>&nbsp;</span>
                        <table>
                            <tr th:each="thresholdValue : ${planValue.thresholdValues}">
                                <td>
                                    <span th:text="|1.${planValueStat.count}.${thresholdValueStat.count} Overall Status: ${thresholdValue.thresholdSpecifier.value}|"></span><br>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>

<p>
    <span th:text="|1. Monitoring performance of ${report.objectType.value} [${report.objectName}]|"></span><br>
    <span class="additional" th:text="|Period of analysis: ${#temporals.format(report.day, 'MM-dd-yyyy')}|"></span><br>
    <br>
    <span th:text="|Overall Status: ${report.qualityType.value}|"></span>
</p>

<table>
    <tr th:each="planValue : ${report.planValues}">
        <td>
            <span th:text="|1.${planValueStat.count}|"></span><br>
            <span th:text="|Monitoring results overview ${planValue.planId} (${planValue.planName})|"></span><br><br>
            <table class="grid_table">
                <tr>
                    <th>Measurement</th><th>Category</th><th>Value</th>
                </tr>
                <tr th:each="thresholdValue : ${planValue.thresholdValues}">
                    <td th:text="${thresholdValue.thresholdSpecifier.value}"></td>
                    <td th:text="${thresholdValue.qualityType.value}"></td>
                    <td th:text="${thresholdValue.quality}"></td>
                </tr>
            </table>
            &nbsp;<br>
            <table>
                <tr th:each="thresholdValue : ${planValue.thresholdValues}">
                    <td>
                        <span th:text="|1.${planValueStat.count}.${thresholdValueStat.count}|"></span><br>
                        <span th:text="|Overall Status: ${thresholdValue.thresholdSpecifier.value}|"></span><br><br>
                        <table class="grid_table">
                            <tr>
                                <th>Object</th><th th:text="${thresholdValue.thresholdSpecifier.value}"></th><th>Total</th><th>Average</th><th>Minimum</th><th>Maximum</th>
                            </tr>
                            <tr th:each="subjectValue : ${thresholdValue.subjectValues}">
                                <td th:text="|Test subject 1.${planValueStat.count}.${thresholdValueStat.count}.${subjectValueStat.count}|"></td>
                                <td th:text="|${subjectValue.deviationNumber} / ${subjectValue.totalNumber} / ${subjectValue.kpiValue}|"></td>
                                <td th:text="${subjectValue.totalValue}"></td>
                                <td th:text="${subjectValue.averageValue}"></td>
                                <td th:text="${subjectValue.minimumValue}"></td>
                                <td th:text="${subjectValue.maximumValue}"></td>
                            </tr>
                        </table>
                        &nbsp;<br>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>

</html>